You are not logged in.

Announcement

 Téléchargez la dernière version stable de GLPI      -     Et vous, que pouvez vous faire pour le projet GLPI ? :  Contribuer
 Download last stable version of GLPI                      -     What can you do for GLPI ? :  Contribute

#1 2018-06-14 15:55:02

scottw
Guest
Registered: 2018-06-14
Posts: 4

Plug In installation help needed

Hi Everyone,

I just installed GLPI version 9.2.3 in XAMPP running on a Windows server.  Everything installed great and is running well. 

However, I am unable to install any plugins.  I have placed the unzipped plug-in folder in in the plugins directory, logged out of GLPI but the plug in never shows up Home - Setup - plugins.  I have also attempted to clear my cache and even stopped and started Apache.  All I see is the generic message that no plug-in is installed and I get the button to push that will send me to the GLPI plugins on the internet.  From reading someone other problems, I know this message indicates that there is nothing in the proper plug-in directoy.  I have read through some of the other people that were challenged with this and saw that some were placing the unzipped plug in the wrong directory.  I did a search on drive and I do not find any other plug in directory.

The latest attempt at the plug-in install was datainjection-2.5.2 which appears to be compatable with the version of GLPI I am using.

Any help would be appreciated.

Have a great day,
Scott

Offline

#2 2018-06-14 16:21:04

LaDenrée
HELPER
Registered: 2012-11-19
Posts: 4,149

Re: Plug In installation help needed

can you check if some FOLDERS are in glpi/plugins/

you should see at least

glpi/plugin/datainjection/setup.php
glpi/plugin/datainjection/hook.php


Trouver la panne avant de réparer...
*GLPI 9.1.6+fusion9.1+1.1+behaviours1.5.0+reports+fields+appliances+pdf+badges+formcreator2.5.2 PHP7.0 Mariadb10
*GLPI 9.2.4(behaviours1.5.2+fusion9.2+1.0+applicatifs2.3.0+dashboard 0.8.9)hebergé sur serveur mutualisé.
*GLPI 9.3.1  en test (ubuntu 16.04 mariadb 10.2.4)

Offline

#3 2018-06-14 16:29:19

scottw
Guest
Registered: 2018-06-14
Posts: 4

Re: Plug In installation help needed

Thank you very much for the reply.  No, I don't see anything in that directory expect the unzipped plugin folder.

Offline

#4 2018-06-14 16:31:20

scottw
Guest
Registered: 2018-06-14
Posts: 4

Re: Plug In installation help needed

Sorry, I misread what you asked.  Yes, those files are there in the plug-in directory.

Last edited by scottw (2018-06-14 16:34:26)

Offline

#5 2018-06-14 16:38:33

scottw
Guest
Registered: 2018-06-14
Posts: 4

Re: Plug In installation help needed

Looks like I resolved the issue.  The data injection plug-in had a directory of - datainjection-2.5.2.  I renamed this to datainjection.  Once I logged out and back in, it saw the plug-in right away.  Thank you very much for your help.

Offline

#6 2018-06-23 11:32:43

jennysingh
Guest
Registered: 2018-06-23
Posts: 1

Re: Plug In installation help needed

hello,
The procedure to instal a plugin is the following:
- copy the plugin current directory
- empty the plugin directory
-copy the plugin wanted in the plugin directory
- install the plugin (setup / plugin / install)
- configure the plugin (if need) by clicking on its name in the same place
- put rights to profiles (administration / profiles - 1 tab by plugin)
- activate the plugin before using it

Offline

Board footer

Powered by FluxBB